summaryrefslogtreecommitdiffstats
path: root/trinity-base/kig/kig-9999.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'trinity-base/kig/kig-9999.ebuild')
-rw-r--r--trinity-base/kig/kig-9999.ebuild22
1 files changed, 22 insertions, 0 deletions
diff --git a/trinity-base/kig/kig-9999.ebuild b/trinity-base/kig/kig-9999.ebuild
new file mode 100644
index 00000000..027f4031
--- /dev/null
+++ b/trinity-base/kig/kig-9999.ebuild
@@ -0,0 +1,22 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_NAME="tdeedu"
+TSM_EXTRACT_ALSO="translations"
+inherit trinity-meta-2
+
+DESCRIPTION="Interactive geometry program for TDE"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+DEPEND="dev-libs/boost[python]"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed -i -e '/add_subdirectory( applnk )/d' \
+ -e '/add_subdirectory( libtdeedu )/d' "${S}/CMakeLists.txt" || die
+ trinity-meta-2_src_prepare
+}